%global with_python 1

Name:          libcec
Version:       6.0.2
Release:    1%{?dist}
Summary:       Library and utilities for HDMI-CEC device control
License:       GPLv2+
URL:           http://libcec.pulse-eight.com/
Source0:       https://github.com/Pulse-Eight/%{name}/archive/%{name}-%{version}.tar.gz
Patch1:        libcec-pythonlib.patch

BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: cmake
BuildRequires: libXrandr-devel
BuildRequires: lockdev-devel
BuildRequires: ncurses-devel
BuildRequires: platform-devel
%if 0%{?with_python}
BuildRequires: python3-devel
%endif
BuildRequires: swig
BuildRequires: systemd-devel
BuildRequires: findutils

%description
libCEC allows you in combination with the right hardware to control your device 
with your TV remote control over your existing HDMI cabling.

libCEC is an enabling platform for the CEC bus in HDMI, it allows developers to 
interact with other HDMI devices without having to worry about the communication 
overhead, handshaking, and the various ways of send messages for each vendor.

%package       devel
Summary:       Development package for %{name}
Requires:      %{name} = %{version}-%{release}
Requires:      pkgconfig

%description devel
Files for development with %{name}.

%if 0%{?with_python}
%package -n    python3-libcec
Summary:       A Python 3 interface to libcec
Requires:      %{name} = %{version}-%{release}

%description -n python3-libcec
Python 3 bindings for libcec
%endif

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}

rm -rf support
rm -rf driver

%build
%cmake \
    -DHAVE_LINUX_API=on

%cmake_build

%install
%cmake_install

find %{buildroot} -name '*.la' -delete

rm %{buildroot}/%{_bindir}/cec-client %{buildroot}/%{_bindir}/cecc-client
mv %{buildroot}/%{_bindir}/cec-client-%{version} %{buildroot}/%{_bindir}/cec-client
mv %{buildroot}/%{_bindir}/cecc-client-%{version} %{buildroot}/%{_bindir}/cecc-client


%files
%license COPYING
%doc AUTHORS
%{_bindir}/cec-client
%{_bindir}/cecc-client
/usr/lib/libcec.so.*

%files devel
%{_includedir}/libcec
/usr/lib//pkgconfig/libcec.pc
/usr/lib/libcec.so

%if 0%{?with_python}
%files -n python3-libcec
%{_bindir}/pyCecClient
%{python3_sitearch}/cec/
%endif

%changelog
* Wed Aug 21 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0.2-1
- initial build
